Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class Main

    java.lang.Object
      |
      +--org.apache.tools.ant.Main

public class Main
extends java.lang.Object

Command line entry point into Ant. This class is entered via the cannonical `public static void main` entry point and reads the command line arguments. It then assembles and executes an Ant project.

If you integrating Ant into some other tool, this is not the class to use as an entry point. Please see the source code of this class to see how it manipulates the Ant project classes.

Author:
  duncan@x180.com

Field Summary
`static java.lang.String` | `DEFAULT_BUILD_FILENAME` The default build file name

Constructor Summary
`protected` | `Main(java.lang.String[] args)`

Method Summary
`protected void` | `addBuildListeners(Project project)`
`static void` | `main(java.lang.String[] args)` Command line entry point.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_BUILD_FILENAME

    public static final java.lang.String DEFAULT_BUILD_FILENAME

  The default build file name

Constructor Detail

### Main

    protected Main(java.lang.String[] args)
            throws BuildException

Method Detail

### main

    public static void main(java.lang.String[] args)

  Command line entry point. This method kicks off the building of a project object and executes a build using either a given target or the default target.
  Parameters:
    `args` - Command line args.

### addBuildListeners

    protected void addBuildListeners(Project project)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.